<h1 align="center">Hyprdots - Aesthetic Dotfiles for Hyprland</h1>

[![Hyprland](https://img.shields.io/badge/Hyprland-abd6fd?style=for-the-badge "Hyprland - A dynamic tiling Wayland compositor based on wlroots that doesn't sacrifice on its looks")](https://hyprland.org/)
[![Waybar](https://img.shields.io/badge/Waybar-cdd6f4?style=for-the-badge 'Waybar - Highly customizable Wayland bar for Sway and Wlroots based compositors')](https://github.com/Alexays/Waybar)
[![Hyprlock](https://img.shields.io/badge/Hyprlock-89dceb?style=for-the-badge "Hyprlock - Hyprland's GPU-accelerated screen locking utility")](https://github.com/hyprwm/hyprlock)
[![Zsh](https://img.shields.io/badge/zsh-f2cdcd?style=for-the-badge 'Z Shell')](https://www.gnu.org/software/bash/manual/zsh.html)
[![Kitty](https://img.shields.io/badge/Alacritty-cba6f7?style=for-the-badge 'Kitty - Cross-platform, fast, feature-rich, GPU based terminal ')](https://github.com/kovidgoyal/kitty)
[![Rofi](https://img.shields.io/badge/Rofi-fab387?style=for-the-badge 'Rofi- A window switcher, application launcher and dmenu replacement')](https://github.com/lbonn/rofi)
[![Cliphist](https://img.shields.io/badge/Cliphist-cdd6f4?style=for-the-badge 'Cliphist - Wayland clipboard manager')](https://github.com/sentriz/cliphist)
[![Zathura](https://img.shields.io/badge/Zathura-94e2d5?style=for-the-badge 'Zathura is a highly customizable and functional document viewer')](https://github.com/pwmt/zathura)
[![Sddm](https://img.shields.io/badge/Sddm-a6e3a1?style=for-the-badge 'Simple Desktop Display Manager')](https://github.com/sddm/sddm)
[![Hyprlock](https://img.shields.io/badge/Swaylock-f9e2af?style=for-the-badge 'Hyprlock - Screen locking utility for Wayland compositors')](https://github.com/hyprwm/hyprlock)
[![Dunst](https://img.shields.io/badge/Dunst-fab387?style=for-the-badge 'Dunst - Lightweight and customizable notification daemon')](https://github.com/dunst-project/dunst)
[![Tmux](https://img.shields.io/badge/Tmux-a6e3a1?style=for-the-badge 'Terminal Multiplexer')](https://github.com/tmux/tmux/)

<p align="center">
  <a href="https://github.com/ad1822/hyprdots/stars">
    <img src="https://img.shields.io/github/stars/ad1822/hyprdots?style=for-the-badge" alt="Stars">
  </a>
  <a href="https://github.com/ad1822/hyprdots/forks">
    <img src="https://img.shields.io/github/forks/ad1822/hyprdots?style=for-the-badge" alt="Stars">
  </a>
  <!-- <a href="https://github.com/ad1822/hyprdots/network/members">
    <img src="https://img.shields.io/github/forks/your-username/hyprdots?style=for-the-badge" alt="Forks">
  </a> -->
  <a href="https://github.com/your-username/hyprdots/commits/main">
    <img src="https://img.shields.io/github/last-commit/ad1822/hyprdots?style=for-the-badge" alt="Last Commit">
  </a>
</p>

![home](Assets/main.png)
![powermenu](Assets/k9s_cava.png)
![btop](Assets/btop.png)
![powermenu](Assets/powermenu.png)
![powermenu](Assets/go_2.png)
![launcher](Assets/launcher.png)

## Wallpaper

[Wallpaper](https://drive.google.com/drive/folders/1Eog40yvrTshjDLVIETVncBKcDsvPLMIX?usp=sharing)

## File System

- **File System**: btrfs

## Boot Loader

- **Boot Loader**: GNU GRUB (Grand Unified Boot Loader)

## Login Manager & Session Manager

- **Login Manager & Session Manager**: SDDM (Simple Desktop Display Manager)

## Package Management

- **Default**: pacman
- **Others**: wget, Homebrew

## Fonts

- **Fonts**: JetBrains Mono Nerd Fonts

## Audio

- **Audio System**: Pipewire

---

### GUI Setup

- **Window Manager**: hyprland (Tiling)
- **Status Bar**: Waybar
- **Notification Manager**: Dunst
- **Browser**: Firefox
- **Image Viewer**: feh
- **Video Player**: VLC
- **Color Picker**: hyprpicker
- **Wallpaper Utility**: hyprpaper
- **Screenshot Utility**: grim & slurp
- **File Manager**: Thunar
- **App Launcher**: Rofi
- **Wi-Fi & Bluetooth Management**: Rofi

---

### CLI Setup

- **Terminal Emulator**: kitty
- **Shell**: Zsh (z-shell)
- **Terminal Prompt**: Starship / Oh My Posh
- **History Manager**: Atuin
- **Search Utility**: Fzf (Fuzzy Finder)
- **Terminal Multiplexer**: tmux
- **Trash Control**: trashy
- **Fetch Utilities**: nitch, fastfetch, cutefetch
- **Zip Management**: unzip
- **Clipboard Management**: cliphist, wl-clipboard

### TUI Setup

- **Git Management**: gitui, lazygit
- **Code Editors**: Neovim, Nano, Vim
- **Task Manager**: btop
- **File Manager**: yazi
- **Kubernetes**: k9s
- **Docker**: lazydocker

---

### CLI Alternatives

- **cd**: zoxide
- **ls**: eza / exa
- **cat**: bat
- **man**: tldr

---

### System Management

- **Network Management**: NetworkManager (nmcli), iwd (iNet Wireless Daemon)
- **Bluetooth Management**: Bluez, Bluez-utils
- **Audio Management**: pamixer, PulseAudio
- **Brightness Control**: brightnessctl
- **Power Management**: acpi
- **Media Player Control**: playerctl

---
